{% extends "base.html" %}

{% block rest_of_head %}
    <meta name="google-signin-scope" content="profile email">
    <meta name="google-signin-client_id" content="1001867967599-epp3u3t30nkap3a5h0dcs87hnnue6mff.apps.googleusercontent.com">
    <script src="https://apis.google.com/js/platform.js" async defer></script>
{% endblock %}

{% block easy_display %}
    <div class="g-signin2" data-onsuccess="onSignIn" data-theme="dark"></div>
    <script>
      function onSignIn(googleUser) {
        // Useful data for your client-side scripts:
        var profile = googleUser.getBasicProfile();
        console.log("ID: " + profile.getId()); // Don't send this directly to your server!
        console.log('Full Name: ' + profile.getName());
        console.log('Given Name: ' + profile.getGivenName());
        console.log('Family Name: ' + profile.getFamilyName());
        console.log("Image URL: " + profile.getImageUrl());
        console.log("Email: " + profile.getEmail());

        // The ID token you need to pass to your backend:
        var id_token = googleUser.getAuthResponse().id_token;
        console.log("ID Token: " + id_token);
        // Show the name for debugging
        document.getElementById("loggedinname").innerHTML = profile.getName();
        // SEND THE ID TOKEN TO THE SERVER
        function post(path, params, method) {
              method = method || "post"; // Set method to post by default if not specified.

              // The rest of this code assumes you are not using a library.
              // It can be made less wordy if you use one.
              var form = document.createElement("form");
              form.setAttribute("method", method);
              form.setAttribute("action", path);

              for(var key in params) {
                  if(params.hasOwnProperty(key)) {
                      var hiddenField = document.createElement("input");
                      hiddenField.setAttribute("type", "hidden");
                      hiddenField.setAttribute("name", key);
                      hiddenField.setAttribute("value", params[key]);

                      form.appendChild(hiddenField);
                   }
              }

              document.body.appendChild(form);
              form.submit();
          };
        post('/admin', {name: profile.getName(), email: profile.getEmail(), idtoken: googleUser.getAuthResponse().id_token});
        console.log('POSTed!');
      };
    </script>

    <h2>Logged in as <h2 id="loggedinname">nobody</h2></h2>

    <a href="#" onclick="signOut();">Sign out</a>
      <script>
        function signOut() {
          var auth2 = gapi.auth2.getAuthInstance();
          auth2.signOut().then(function () {
            console.log('User signed out.');
            // Show the name for debugging
            document.getElementById("loggedinname").innerHTML = "Nobody";
          });
        }
      </script>
{% endblock %}
